Status: Closed

Priority: Low

Assignee:

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12236

Description

In trunk, the conversion of a SHAPE file (points) to CSV fails. It creates an empty ASCII file.

Additionally, the button description is felt to be confusing: "Dataset" does not indicate that a directory is meant.

Second bug: if the "Dataset" directory already exists, the converter fails with "Failed to create...". In the shell terminal a message is seen

that it already exists: it would be important to catch this directory-present error and ask the user to suggest a different name.

"Layer" as button description is also unclear (for CSV): indeed a file name is meant.

See also attachment.

History

#1 - 2009-12-08 11:28 PM - dr -

confirmed

#2 - 2011-03-02 07:18 AM - Paolo Cavallini

Does keeping a partially broken (and presumably unmaintained) ogr plugin makes sense, now that the same functionality is available through the "Save

as..." menu? The only advantage I see is that the plugin does not require opening a layer to convert it, but it is a minor inconvenience if compared to the

bugs we have.

#3 - 2011-03-04 09:52 AM - Paolo Cavallini

- Resolution set to wontfix

- Status changed from Open to Closed

Plugin removed as per commit:f557e5d6 (SVN r15332)
